// wilson callan, copyriight 1997

// types

typedef	int	CARD;

// color

#define     BLACK           0               // COLOUR(card)
#define     RED             1

// value

#define     ACE             0               // VALUE(card)
#define     DEUCE           1
#define     TEN				9
#define		JACK			10
#define		QUEEN			11
#define		KING			12

// suit

#define     CLUB            0               // SUIT(card)
#define     DIAMOND         1
#define     HEART           2
#define     SPADE           3

// macros

#define     SUIT(card)      ((card) % 4)
#define     VALUE(card)     ((card) / 4)
#define     COLOUR(card)    (SUIT(card) == DIAMOND || SUIT(card) == HEART)

// size the array

#define     MAXPOS         21
#define     MAXCOL          9               // includes top row as column 0

// default value

#define     EMPTY			(NUM_CARDS) 
//#define     EMPTY			(NUM_CARDS+4)

VOID FreeCellDealInit (VOID);
VOID FreeCellDeal ();
VOID ShowHand (LPPAINTSTRUCT pnt);
VOID InvalidateCard (INT col, INT pos);
VOID InvalidateArrow (CHAR i);
//VOID InvalidateProLines (char, char);
VOID InvalidateProLine (INT, INT);
VOID ShowBuriedCard (LPPAINTSTRUCT pnt, UINT xPos, UINT yPos);
VOID HideBuriedCard (VOID);
VOID FindCards (HDC hdc, INT crd);
VOID InvalidateProHash1 (INT col, BYTE pos);
VOID InvalidateProHash2 (INT col, BYTE pos);
VOID InvalidateProHash3 (INT col, BYTE pos);




